Skip to main content
`Ctrl`+`K`

# DMMoabIsEntityOnBoundary

Check whether a given entity is on the boundary (vertex, edge, face, element)

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabIsEntityOnBoundary(DM dm, const moab::EntityHandle ent, PetscBool *ent_on_boundary)

Collective

## Input Parameters

- dm - The `DMMOAB` object

- ent - Entity handle

## Output Parameter

- ent_on_boundary - `PETSC_TRUE` if entity on boundary; `PETSC_FALSE` otherwise

## See Also

`DMMOAB`, `DMMoabCheckBoundaryVertices()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ts/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages